/* file cmdtarget.h */
/*
 *      Diogene87
 *	Copyright (C) 2003-2004 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */

#ifndef CMDTARGET_H
#define CMDTARGET_H 1

#include "global.h"
#include <libdg87/element.h>
#include "target.h"
#include "context.h"
#include "config.h"
#include <libdg87/connection.h>

/* commands for TASK */
int cmd_tk(dg87_connection* pConnection);
int cmd_ta(dg87_connection* pConnection);
int cmd_tc(dg87_connection* pConnection);
int cmd_ti(dg87_connection* pConnection);
int cmd_tl(dg87_connection* pConnection);
int cmd_tsd(dg87_connection* pConnection);
int cmd_tso(dg87_connection* pConnection);
int cmd_tsp(dg87_connection* pConnection);
int cmd_tsh(dg87_connection* pConnection);

#endif /*CMDTARGET_H*/

/* End of file */
