/* file cmdjob.h */
/*
 *      Diogene87
 *	Copyright (C) 2003-2004 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */

#ifndef CMDREFJOB_H
#define CMDREFJOB_H 1

#include "global.h"
#include <libdg87/element.h>
#include "task.h"
#include "job.h"
#include "ref.h"
#include "config.h"
#include <libdg87/connection.h>

/* commands for Jobs */
int cmd_rjk(dg87_connection* pConnection);
int cmd_rja(dg87_connection* pConnection);
int cmd_rjc(dg87_connection* pConnection);
int cmd_rjl(dg87_connection* pConnection);
int cmd_rji(dg87_connection* pConnection);
int cmd_rjsd(dg87_connection* pConnection);
int cmd_rjsp(dg87_connection* pConnection);
int cmd_rjsa(dg87_connection* pConnection);
int cmd_rjst(dg87_connection* pConnection);
int cmd_rjswad(dg87_connection* pConnection);
int cmd_rjsoec(dg87_connection* pConnection);

/* commands for jobs dependences */
int cmd_rjdl(dg87_connection* pConnection);
int cmd_rjdc(dg87_connection* pConnection);
int cmd_rjda(dg87_connection* pConnection);
int cmd_rjdk(dg87_connection* pConnection);


#endif /*CMDREFJOB_H*/

/* End of file */
