/* file util.h */
/*
 *      Diogene87
 *	Copyright (C) 2003-2004 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */

#ifndef UTIL_H
#define UTIL_H

#include "global.h"
#include "job.h"
#include <libdg87/connection.h>
#include <stdlib.h>

/******************************************************************************/
/* dg87_util_findJob
 * return the job which correspond to the name given in parameter.
 * The Task must be pass as parameter.
 * Print an error message and return NULL if it can't be find.
 */
dg87_job* dg87_util_findJob(dg87_connection *pConnec, 
		char* pTaskName, char* pJobName, char* pDayName);

#endif /* UTIL_H */
/* End of file */
