/* file cmdday.h */
/*
 *      Diogene87
 *	Copyright (C) 2003-2004 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */

#ifndef CMDDAY_H
#define CMDDAY_H 1

#include "global.h"
#include <libdg87/element.h>
#include "day.h"
#include "config.h"
#include <libdg87/connection.h>

/* commands for Days */
int cmd_xdk(dg87_connection* pConnection);
int cmd_xda(dg87_connection* pConnection);
int cmd_xdc(dg87_connection* pConnection);
int cmd_xdl(dg87_connection* pConnection);
int cmd_xdi(dg87_connection* pConnection);
int cmd_xdse(dg87_connection* pConnection);
int cmd_xdv(dg87_connection* pConnection);

#endif /*CMDDAY_H*/

/* End of file */
