/* file cmdqueue.h */
/*
 *      Diogene87
 *	Copyright (C) 2003-2004 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */

#ifndef CMDQUEUE_H
#define CMDQUEUE_H 1

#include "global.h"
#include <libdg87/element.h>
#include "queue.h"
#include "context.h"
#include "config.h"
#include <libdg87/connection.h>

/* commands for queue */
int cmd_ql(dg87_connection* pConnection);
int cmd_qc(dg87_connection* pConnection);
int cmd_qa(dg87_connection* pConnection);
int cmd_qk(dg87_connection* pConnection);
int cmd_qi(dg87_connection* pConnection);

int cmd_qsd(dg87_connection* pConnection);
int cmd_qsm(dg87_connection* pConnection);
int cmd_qso(dg87_connection* pConnection);

/* commands for eXp's Tasks */
int cmd_qxtl(dg87_connection* pConnection);
int cmd_qxtc(dg87_connection* pConnection);

/* commands for eXp's jobs */
int cmd_qxjl(dg87_connection* pConnection);
int cmd_qxjc(dg87_connection* pConnection);

#endif /*CMDQUEUE_H*/

/* End of file */
