/* file cmdtask.h */
/*
 *      Diogene87
 *	Copyright (C) 2003-2004 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */

#ifndef CMDTASK_H
#define CMDTASK_H 1

#include "global.h"
#include <libdg87/element.h>
#include "task.h"
#include "config.h"
#include <libdg87/connection.h>

/* commands for Task*/
int cmd_xta(dg87_connection* pConnection);
int cmd_xtc(dg87_connection* pConnection);
int cmd_xtl(dg87_connection* pConnection);
int cmd_xtse(dg87_connection* pConnection);
int cmd_xtu(dg87_connection* pConnection);
int cmd_xti(dg87_connection* pConnection);

/* commands for task conditions */
int cmd_xtca(dg87_connection* pConnection);
int cmd_xtcl(dg87_connection* pConnection);
int cmd_xtcc(dg87_connection* pConnection);
int cmd_xtcv(dg87_connection* pConnection);

/* commands for task dependences */
int cmd_xtda(dg87_connection* pConnection);
int cmd_xtdl(dg87_connection* pConnection);
int cmd_xtdc(dg87_connection* pConnection);
int cmd_xtdu(dg87_connection* pConnection);

#endif /*CMDTASK_H*/

/* End of file */
